#pragma once

#include "CoreMinimal.h"
#include "Engine/DeveloperSettings.h"
#include "UObject/SoftObjectPtr.h"
#include "DBDBarkSettings.generated.h"

class UBhvrBarkQueryProvider;
class UBhvrBarkRuleProvider;

UCLASS(Blueprintable)
class DBDBARK_API UDBDBarkSettings : public UDeveloperSettings
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<TSoftClassPtr<UBhvrBarkQueryProvider>> QueryProviderClasses;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<TSoftClassPtr<UBhvrBarkRuleProvider>> RuleProviderClasses;

public:
	UDBDBarkSettings();
};

FORCEINLINE uint32 GetTypeHash(const UDBDBarkSettings) { return 0; }
